--- title: "Search the course catalog's search history" slug: "search-the-course-catalogs-search-history" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-the-course-catalogs-search-history" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search the course catalog's search history Get/SearchCourseCatalogSearchHistory Allows you to search course catalog search history records. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. If not supplied, a default value of "SearchTime DESC" will be assumed. You can append " DESC" after the sort value to sort descending. For example, "SearchTime DESC" would sort by when the search was run in descending order. Possible values: - SearchTime - LastName ExampleSearchTime userIdinteger (int32) An optional parameter used to filter for searches run by a particular user. Example4325 userExternalIdstring An optional parameter used to filter for searches run by a particular user using an external identifier. Example89CFAB18-443D-495C-89B0-95A85E0A00BA searchedAfterinteger (int64) An optional parameter used to filter for searches run after a specified date. When used in conjunction with the "searchedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1466092675 searchedBeforeinteger (int64) An optional parameter used to filter for searches run before a specified date. When used in conjunction with the "searchedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1466092675 Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 Results Array of object (CourseCatalogSearchHistorySearchResult) See CourseAssignmentSearchResult object Idinteger (int64) The search result's unique identifier Example4754 UserIdinteger (int32) The user's unique identifier Example190615 UserExternalIdstring | null The user's external ID, usually a unique identifier from the calling system ExampleEC11A1BE-4A26-4D28-AA75-F41E3F56DB57 FirstNamestring The user's first name ExampleJane LastNamestring The user's last name ExampleDoe OrganizationIdinteger (int32) The unique identifier of the organization the user belongs to Example3456 Searchinteger (int64) When the search was run. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1466092675 TextFilterstring | null The text filter entered by the user ExampleScripting Tags Array of object (Tag) All tags selected by the user. See Tag type below. object Idinteger (int32) The tag's unique identifier. Example2 Namestring | null The tag's name. ExampleTag Example 1 ClubIds Array of integer Unique identifiers of all clubs the search was filtered against. Example[ 1234, 4332 ]integer (int64) Example123 PageIndexinteger (int32) The zero-based index of the page of results displayed by the search NumResultsinteger (int32) The total number of results matched by the search Example10